Download it now!
Bug 132807 - FILEOPEN DOCX Auto value of Spacing Before from numbered list style becomes 0.49 cm
Summary: FILEOPEN DOCX Auto value of Spacing Before from numbered list style becomes 0...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2020-05-07 11:10 UTC by NISZ LibreOffice Team
Modified: 2020-05-15 06:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (extended version of the #122342 bugdoc) (12.85 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-07 11:10 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (76.65 KB, image/png)
2020-05-07 11:11 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-05-07 11:10:55 UTC
Created attachment 160492 [details]
Example file from Word (extended version of the #122342 bugdoc)

If we set a Spacing before paragraph property in a style that also contains numbering, the Auto value is interpreted as 0.49 cm in some cases where it should be 0.

Steps to reproduce:
    1. Open attached document. It contains a CustomStyle applied to some paragraphs. This style contains numbering and Spacing before is set to Auto.

Actual results:
The Spacing before should be 0 in these cases:
- If the paragraph is following another paragraph with the same numbered style (#2, #3 #5 – bad)
- If the paragraph is the first paragraph in a table (#4 #6 #7 - good) 

The spacing should not be 0 if:
- The paragraph is following a non-numbered paragraph (#1 - good)
- The paragraph is following a numbered paragraph with the CustomStyle, but the numbering is removed from it (the ones after #6 and #8 - good)
- The paragraph is after a table (#8 – good)

Expected results:
Same appearance as in Word.

LibreOffice details:
Version: 7.0.0.0.alpha1+ (x86)
Build ID: 7e257697f0006d8247a23ac91...
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2020-05-07 11:11:11 UTC
Created attachment 160493 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Dieter 2020-05-11 07:20:56 UTC
I conform it with

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 99c337d1d3831ce9d2c7dc1cbff713f4ac49d6ac
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

in comparison with Word 2016
Comment 3 Commit Notification 2020-05-13 13:08:57 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/162d74ae7a53eb1cde738f0a7558f297b8162f7a

tdf#132807 DOCX import: fix top auto margin in lists

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.